summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 98a4fef)
raw | patch | inline | side by side (parent: 98a4fef)
author | Yasushi SHOJI <yashi@atmark-techno.com> | |
Thu, 30 Mar 2006 17:01:23 +0000 (17:01 +0000) | ||
committer | Junio C Hamano <junkio@cox.net> | |
Thu, 30 Mar 2006 23:31:21 +0000 (15:31 -0800) |
git-clone without a repo isn't useful at all. print message and get
out asap.
This patch also move the variable 'local' to where other variables are
initialized.
Signed-off-by: Yasushi SHOJI <yashi@atmark-techno.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
out asap.
This patch also move the variable 'local' to where other variables are
initialized.
Signed-off-by: Yasushi SHOJI <yashi@atmark-techno.com>
Signed-off-by: Junio C Hamano <junkio@cox.net>
git-clone.sh | patch | blob | history |
diff --git a/git-clone.sh b/git-clone.sh
index 0e8a57d2b499dd4f444ba8d93fb271ec88c222c7..823c74b9139d4a77eb5430674bf0237fb573c14c 100755 (executable)
--- a/git-clone.sh
+++ b/git-clone.sh
'
quiet=
+local=no
use_local=no
local_shared=no
no_checkout=
shift
done
+repo="$1"
+if test -z "$repo"
+then
+ echo >&2 'you must specify a repository to clone.'
+ exit 1
+fi
+
# --bare implies --no-checkout
if test yes = "$bare"
then
# Turn the source into an absolute path if
# it is local
-repo="$1"
-local=no
if base=$(get_repo_base "$repo"); then
repo="$base"
local=yes